/* Utilisation de paramètres d'entête en tant    */
/* que variables locales                         */

public class ExempleParametresEnteteCommeVariablesEnConsole {

///////////////////////////////////////////////////

  /* Type agrege de stockage du cosinus,         */
  /* du sinus et de la tangente d'un angle       */

  static class CosSinTan {
    double cos = 1.0;
    double sin = 0.0;
    double tan = 0.0; };

  /* Calcul du cosinus, du sinus                 */
  /* et de la tangente                           */
  /* d'un angle donne en degres                  */

  static CosSinTan calculCosSinTan1(double angle) {
    double a;
    CosSinTan res = new CosSinTan();
    a = angle*Math.PI/180.0;
    res.cos = Math.cos(a);
    res.sin = Math.sin(a);
    res.tan = Math.tan(a);
    return res;
  }

  /* Calcul du cosinus, du sinus                   */
  /* et de la tangente d'un angle                  */
  /* donne en degres                               */

  static CosSinTan calculCosSinTan2(double angle) {
    CosSinTan res = new CosSinTan();
    angle = angle*Math.PI/180.0;
    res.cos = Math.cos(angle);
    res.sin = Math.sin(angle);
    res.tan = Math.tan(angle);
    return res;
  }

  /* Programme principal                         */

  public static void main(String [] args) {
    Console.setTitle("ExempleParametresEnteteCommeVariables");
    double angle;
    CosSinTan cst;
    Console.afficher("SVP, l'angle : ");
    angle = Console.saisirDouble();
    cst = calculCosSinTan1(angle);
    Console.formater("sin(%f) = %f\n",angle,cst.sin);
    Console.formater("cos(%f) = %f\n",angle,cst.cos);
    Console.formater("tan(%f) = %f\n",angle,cst.tan);
    Console.sautDeLigne();
    cst = calculCosSinTan2(angle);
    Console.formater("sin(%f) = %f\n",angle,cst.sin);
    Console.formater("cos(%f) = %f\n",angle,cst.cos);
    Console.formater("tan(%f) = %f\n",angle,cst.tan);
  }

///////////////////////////////////////////////////
}